Get Orders 2.0

GetOrders. Retrieves a set of orders (2.0 version)

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
required
Defaults to GetOrders

Name of the function to be called. Required and must be 'GetBrands' in this case. If omitted, an error 'E001: Parameter Action is mandatory' is returned. If an unknown function string is provided, an error message 'E008: Invalid Action' is returned.

string
required
Defaults to XML

If provided, it must be 'JSON' or 'XML'. If not provided, 'XML' is assumed.

date-time
required

The current time in ISO8601 format relative to UTC (e.g., Timestamp = 2015-04-01T10:00:00+02:00 for Berlin), so that calls cannot be replayed by a third party intercepting them (i.e., calls too far in the past or future will produce an error message). Required. If not provided, the error message 'E001: Parameter Timestamp is mandatory' appears. If the timestamp is too old or in the future, an error message "E003: Timestamp has expired" is returned.

string
required

The ID of the user making the call. The list of authorized users is maintained in the Seller Center web interface under General Settings / Manage Users.

string
required
Defaults to 2.0

The API version against which this call will be executed, in major-dot-minor format. It must currently be 1.0, although the actual API version is 2.6.20. If omitted, an error message "E001: Parameter Version is mandatory" is returned.

string
required

The cryptographic signature that authenticates the request. A caller must create this value by calculating the SHA256 hash of the request, using the API key of the user specified in the UserID parameter. Required. If omitted, an error message "E001: Parameter Signature is mandatory" is returned. If the signature is incorrect, an 'E007: Login failed' error message for signature mismatch is returned.

date

Limita la lista de pedidos devuelta a los creados después o en una fecha especificada, dada en formato de fecha ISO 8601. O bien CreatedAfter o bien UpdatedAfter son obligatorios o bien se devolverá un error 'E018: Either CreatedAfter or UpdatedAfter is mandatory' será devuelto.

date

Limits the list of orders returned to those created on or before a specified date, provided in ISO 8601 date format. Optional.

date

Limits the list of orders returned to those updated on or after a specified date, provided in ISO 8601 date format. Either UpdatedAfter or CreatedAfter is mandatory, or an error 'E018: Either CreatedAfter or UpdatedAfter is mandatory' will be returned. Note: UpdatedAfter is not related to the order's updateAt, but rather to the createAt of the order's sales history. In version 2.0, the address of the updated order is used, not the item's order history.

date

Limits the list of orders returned to those updated on or before a specified date, provided in ISO 8601 date format. Optional. Note: UpdatedBefore is not related to the order's updateAt, but rather to the createAt of the sales item history. In version 2.0, the address of the updated order is used, not the item's order history.

int32

The maximum number of orders to be returned, default is 100 (maximum value).

int32

The number of orders to skip at the beginning of the list (i.e., an offset in the result set; along with the Limit parameter, simple pagination of the result set is possible; when paginating through results, keep in mind that the order list may change during pagination).

string
enum

When set, limits the set of orders returned to those matching the provided status. Possible values are pending, canceled, ready_to_ship, delivered, returned, shipped, and failed.

Allowed:
string

Allows selection of the sorting column. Possible values are created_at, updated_at. In version 2.0, it is fixed to updated_at and cannot be changed.

string

Specifies the sorting order. Possible values are ASC, DESC.

string
enum

Specifies the order fulfillment model. For Fulfillment by Seller or orders assembled by the supplier, the value is dropshipping; and for Fulfillment by Falabella or orders assembled by Falabella on behalf of the seller, the value is own_warehouse.

Allowed:
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
LoadingLoading…
Response
Choose an example:
application/xml
application/json